%interpolate the predictions
function a = angleinterp(binctr,s,type)
    if(nargin < 3)
        %simply take the max
        [maxv,maxi] = max(s,[],2);
        a = binctr(maxi);
        a = a';
    else
        binsize = binctr(2) - binctr(1);
        [maxv,maxi] = max(s,[],2);
        %wrap around the bins
        wraps      = [s(:,end) s s(:,1)];
        na  = size(s,1);
        a   = zeros(na,1);
        for i = 1:na
            mi = maxi(i);
            c = (wraps(i,mi+2) - wraps(i,mi))./...
                (2*wraps(i,mi+1) - wraps(i,mi) - wraps(i,mi+2));
            a(i) = binctr(mi) + 0.5*binsize*c;
        end
    end
end