function [headyaw,torsoyaw]=image2yaw(I,bbox,model,pavparam,head_yaw_model,torso_yaw_model,binctr)
    numbox   = size(bbox,1);
    headyaw  = zeros(numbox,1);
    torsoyaw = zeros(numbox,1);
    %compute poselet detections 
    hits_in_img = detect_poselets_in_image(I,model);
    for i = 1:numbox
        pav = hits2pav(hits_in_img,model,I,bbox(i,:),pavparam);
        headyaw(i)  = pav2yaw(pav,head_yaw_model,binctr);
        torsoyaw(i) = pav2yaw(pav,torso_yaw_model,binctr);
    end
end