function svm_weights=liblinear_do_train(train_labels,train_features,w_per_example,w1,b,c)
global config;

if ~exist('w1','var')
    w1=3;
    %w1 = sqrt(sum(train_labels < 0)./sum(train_labels > 0));
end
if ~exist('b','var')
    b=config.LIBLINEAR_B;
end
if ~exist('c','var')
    c = 1./mean(sum(train_features.^2,2));
end

if exist('w_per_example','var') && ~isempty(w_per_example)
    assert(isequal(size(w_per_example),size(train_labels)));
    train_labels = train_labels(w_per_example>0);
    train_features = train_features(w_per_example>0,:);
    w_per_example = w_per_example(w_per_example>0);
    w_per_example(train_labels>0) = w_per_example(train_labels>0)*w1;
    w_per_example=w_per_example*c;
    model=liblinear_train_perexample(train_labels,sparse(double(train_features)),double(w_per_example),sprintf('-B %f -s 3 -q',b));  
else
    model=liblinear_train(train_labels,double(train_features),sprintf('-B %f -c %f -s 3 -q -w1 %f',b, c, w1));
end
svm_weights(1,:) = model.w*model.Label(1);
svm_weights(1,end)=svm_weights(1,end)*b;
